import type { ArrayDiff, DiffMode } from "./api.js";
export declare const clearCache: () => void;
/**
 * Based on "An O(NP) Sequence Comparison Algorithm"" by Wu, Manber,
 * Myers and Miller.
 *
 * @remarks
 * Various optimizations, fixes & refactorings. By default uses
 * {@link @thi.ng/equiv#equiv} for equality checks.
 *
 * - {@link https://publications.mpi-cbg.de/Wu_1990_6334.pdf}
 * - {@link http://www.itu.dk/stud/speciale/bepjea/xwebtex/litt/an-onp-sequence-comparison-algorithm.pdf}
 * - {@link https://github.com/cubicdaiya/onp}
 *
 * @param a - "old" array
 * @param b - "new" array
 * @param mode - result mode
 * @param equiv - equality predicate function
 */
export declare const diffArray: <T>(a: ArrayLike<T> | null | undefined, b: ArrayLike<T> | null | undefined, mode?: DiffMode, equiv?: (a: any, b: any) => boolean) => ArrayDiff<T>;
//# sourceMappingURL=array.d.ts.map